org.apache.lucene.search.spans

## Class SpanQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    FieldMaskingSpanQuery, SpanFirstQuery, SpanNearQuery, SpanNotQuery, SpanOrQuery, SpanTermQuery

      public abstract class SpanQuery
      extends Query

  Base class for span-based queries.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanQuery()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
    `abstract java.lang.String` | `getField()` Returns the name of the field matched by this query.
    `abstract Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
    `abstract java.util.Collection` | `getTerms()` Deprecated. use extractTerms instead

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, combine, equals, extractTerms, getBoost, getSimilarity, hashCode, mergeBooleanQueries, rewrite, setBoost, toString, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanQuery

          public SpanQuery()

  - ### Method Detail

    - #### getSpans

          public abstract Spans getSpans(IndexReader reader)
                                  throws java.io.IOException

      Expert: Returns the matches for this query in an index. Used internally to search for spans.
      Throws:
        `java.io.IOException`

    - #### getField

          public abstract java.lang.String getField()

      Returns the name of the field matched by this query.

    - #### getTerms

          public abstract java.util.Collection getTerms()

      Deprecated. use extractTerms instead
      Returns a collection of all terms matched by this query.
      See Also:
        `Query.extractTerms(Set)`

    - #### createWeight

          public Weight createWeight(Searcher searcher)
                              throws java.io.IOException

      Description copied from class: `Query`
      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.